import { useState } from 'react';

import s from './TimerContainer.module.css';
import TimerControl from './TimerControl/TimerControl';
import Timer from './Timer/Timer';

interface ITimerContainerProps {
  amountSeconds: number;
  refresh: number;
  render: ({ seconds }: { seconds: number }) => JSX.Element;
}
const TimerContainer = ({
  amountSeconds,
  refresh,
  render,
}: ITimerContainerProps) => {
  const [flag, setFlag] = useState<string>('Start');
  const [hours, setHours] = useState<number>(0);
  const [minutes, setMinutes] = useState<number>(0);
  const [seconds, setSeconds] = useState<number>(0);

  const time = (hours * 60 + minutes) * 60 + seconds;
  return (
    <div className={s.timerContainerWrapper}>
      <Timer
        time={time > 0 ? time : amountSeconds}
        flag={flag}
        setFlag={setFlag}
        refresh={refresh}
        render={render}
      />
      <TimerControl
        flag={flag}
        setHours={setHours}
        setMinutes={setMinutes}
        setSeconds={setSeconds}
      />
    </div>
  );
};

export default TimerContainer;
